%bcond_with test

Name:           python-pytest-cov
Version:        4.1.0
Release:        1
Summary:        Pytest plugin for measuring coverage
License:        MIT
URL:            https://pypi.org/project/pytest-cov/
Source0:        https://files.pythonhosted.org/packages/61/41/e046526849972555928a6d31c2068410e47a31fb5ab0a77f868596811329/pytest-cov-4.1.0.tar.gz

BuildArch:      noarch

%description
This plugin produces coverage reports. Compared to just using coverage run this plugin does some extras:
* Subprocess support: you can fork or run stuff in a subprocess and will get covered without any fuss.
* Xdist support: you can use all of pytest-xdist’s features and still get coverage.
* Consistent pytest behavior. If you run coverage run -m pytest you will have slightly different
  sys.path(CWD will be in it, unlike when running pytest).

All features offered by the coverage package should work, either through pytest-cov’s command line options
or through coverage’s config file.

%package -n python3-pytest-cov
Summary:        Pytest plugin for measuring coverage
BuildRequires:  python3-devel python3-setuptools python3-pytest python3-coverage >= 3.7.1
%if %{with test}
BuildRequires:  python3-process-tests python3-six python3-virtualenv
%endif
Requires:       python3-pytest python3-coverage >= 3.7.1
%{?python_provide:%python_provide python3-pytest-cov}

%description -n python3-pytest-cov
This plugin produces coverage reports. Compared to just using coverage run this plugin does some extras:
* Subprocess support: you can fork or run stuff in a subprocess and will get covered without any fuss.
* Xdist support: you can use all of pytest-xdist’s features and still get coverage.
* Consistent pytest behavior. If you run coverage run -m pytest you will have slightly different
  sys.path(CWD will be in it, unlike when running pytest).

All features offered by the coverage package should work, either through pytest-cov’s command line options
or through coverage’s config file.

%prep
%autosetup -n pytest-cov-4.1.0 -p1

%build
%py3_build

%install
%py3_install

%check
%if %{with test}
PYTHONPATH=%{buildroot}%{python3_sitelib}:$PWD/tests py.test-%{python3_version} -vv || :
%endif

%files -n python3-pytest-cov
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst README.rst LICENSE
%{python3_sitelib}/*

%changelog
* Fri Jun 9 2023 chaozhangm <chaozhangm@isoftstone.com> - 4.1.0-1
- update to 4.1.0

* Tue Apr 26 2022 caodongxia <caodongxia@h-partners.com> - 3.0.0-1
- update to 3.0.0 

* Fri Sep 11 2020 wangyue <wangyue92@huawei.com> - 2.5.1-8
- Remove  python2-pytest-cov

* Wed Jan  8 2020 lingsheng <lingsheng@huawei.com> - 2.5.1-7
- Package init
